%define name		howl-logger
%define version		0.1.8
%define release		%mkrel 1.1
%define	section		free
%define gcj_support	1

Name:		%{name}
Summary:	High speed ObjectWeb logger
Url:		http://howl.objectweb.org/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Apache License
Group:		Development/Java
Source0:	howl-logger-%{version}-src.tar.bz2
# cvs -d:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/howl login
# cvs -z3 -d:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/howl export -r HOWL_0_1_8 howl/logger

BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.6
BuildRequires:	junit
BuildRequires:	ant-junit
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
# libgcj aot-compiled native libraries
%if %{gcj_support}
BuildRequires:    java-gcj-compat-devel >= 0:1.0.31
Requires(post):   java-gcj-compat >= 0:1.0.31
Requires(postun): java-gcj-compat >= 0:1.0.31
%endif

%description
HOWL is a logger implementation providing features 
required by the ObjectWeb JOTM project, with a public 
API that is generally usable by any Transaction Manager. 
HOWL uses unformatted binary logs to maximize performance 
and specifies a journalization API with methods necessary 
to support JOTM recovery operations. 

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
%{summary}.

%prep
%setup -q -n logger
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=$(build-classpath junit)
%ant compile-all jdoc-all

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 bin/howl.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/jdoc/public/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%if %{gcj_support}
%{_jvmdir}/java-gcj/bin/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{_bindir}/rebuild-gcj-db

%postun
%{_bindir}/rebuild-gcj-db
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root)
%doc LICENSE.txt
%{_javadir}/*
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Sat Sep 10 2005 David Walluck <walluck@mandriva.org> 0:0.1.8-1.1mdk
- release

* Fri Jul 29 2005 Gary Benson <gbenson@redhat.com> 0:0.1.8-1jpp_3fc
- Build on ia64, ppc64, s390 and s390x.
- Switch to aot-compile-rpm.

* Tue Jun 28 2005 Gary Benson <gbenson@redhat.com> 0:0.1.8-1jpp_2fc
- BC-compile.

* Fri Jun 17 2005 Gary Benson <gbenson@redhat.com> 0:0.1.8-1jpp_1fc
- Build into Fedora.

* Thu Jun  9 2005 Gary Benson <gbenson@redhat.com>
- Build with Ant instead of Maven.

* Sun Jun 05 2005 Fernando Nasser <fnasser@redhat.com> 0:0.1.8-1jpp_1rh
- First Red Hat build

* Fri Mar 04 2005 Fernando Nasser <fnasser@redhat.com> 0:0.1.8-1jpp
- Add missing build dependency on saxon-scripts
- Upgrade to 0.1.8

* Tue Feb 01 2005 Ralph Apel <r.apel at r-apel.de> 0:0.1.7-2jpp
- Process project.xml files with saxon
- Don't tamper with $HOME
- Don't use build-jar-repository; explicitly ln -sf $(build-classpath ...)

* Mon Oct 11 2004 Ralph Apel <r.apel at r-apel.de> 0:0.1.7-1jpp
- First release

